[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#313207: marked as done (libplot-perl: segfaults when trying to create plot for png, ps or gif)

Your message dated Wed, 02 Aug 2006 09:02:37 -0700
with message-id <E1G8JB7-0003oe-AL@spohr.debian.org>
and subject line Bug#313207: fixed in libplot-perl 2.2.2-1
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: libplot-perl
Version: 2.2.0-7
Severity: important

It fails to create plots when the selected device is ps, png or gif.
It is still able to create plots in an X window.

The following program reproduces the bug:

#!/usr/bin/perl -w
use Graphics::Libplot ':ALL';




Results: X       - an empty window is created
         png,gif - segfault at pl_closepl
         ps      - segfault at pl_deletepl

The bug was introduced when I upgraded from Woody to Sarge.
I suppose this means that the bug appeared in the change from
libplot (2.4.1-7) to libplot2 (2.4.1-11).

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.4.27
Locale: LANG=sv_SE, LC_CTYPE=sv_SE (charmap=ISO-8859-1) (ignored: LC_ALL set to sv_SE)

Versions of packages libplot-perl depends on:
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an
ii  libplot2                    2.4.1-11     The GNU plotutils libraries
ii  perl                        5.8.4-8      Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.8.4]   5.8.4-8      The Pathologically Eclectic Rubbis

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: libplot-perl
Source-Version: 2.2.2-1

We believe that the bug you reported is fixed in the latest version of
libplot-perl, which is due to be installed in the Debian FTP archive:

  to pool/main/libp/libplot-perl/libplot-perl_2.2.2-1.diff.gz
  to pool/main/libp/libplot-perl/libplot-perl_2.2.2-1.dsc
  to pool/main/libp/libplot-perl/libplot-perl_2.2.2-1_i386.deb
  to pool/main/libp/libplot-perl/libplot-perl_2.2.2.orig.tar.gz

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 313207@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Laurent Fousse <laurent@komite.net> (supplier of updated libplot-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Wed,  2 Aug 2006 17:40:23 +0200
Source: libplot-perl
Binary: libplot-perl
Architecture: source i386
Version: 2.2.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Laurent Fousse <laurent@komite.net>
 libplot-perl - perl interface to plot library
Closes: 313207
 libplot-perl (2.2.2-1) unstable; urgency=low
   * QA upload.
   * New upstream release.
   * Output devices other than X work again (closes: #313207).
 de2b99c3812c5a4b5e041c15b0c6cadd 612 perl extra libplot-perl_2.2.2-1.dsc
 71186e2115fb566378b3de6167407cd0 16257 perl extra libplot-perl_2.2.2.orig.tar.gz
 959f3510860d731d9ed1cd7ac545ead3 327 perl extra libplot-perl_2.2.2-1.diff.gz
 aa8469ccfd46ad08b3659f8fe47d3941 52436 perl extra libplot-perl_2.2.2-1_i386.deb

Version: GnuPG v1.4.3 (GNU/Linux)


--- End Message ---

Reply to: